[x-cloak] {
    display: none !important;
}

body {
    font-family: "Sora", sans-serif;
    /* font-family: 'Inter', sans-serif; */
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /* -webkit-appearance: none; */
}

/* width */
::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

/* Track */
::-webkit-scrollbar-track {
    border-radius: 10px;
    margin: 10px;
    box-shadow: inset 7px 10px 12px #f0f0f0;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #aaaaaa;
    border-radius: 5px;
    background-clip: padding-box;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #bbbbbb;
}

.select2-container--default.select2-container--disabled
    .select2-selection--single {
    background-color: #f5f8fe !important;
}

element.style {
    width: 100%;
}

.select2-selection__clear {
    transform: translateX(-10px) !important;
}

.select2-container .select2-selection {
    border-radius: 8px !important;
    border: 1px solid #d4d4d8 !important;
    height: 42px !important;
    font-size: 14px !important;
}

.select2-selection__rendered {
    padding-left: 5px !important;
    padding-top: 6px !important;
}

.select2-selection__arrow {
    transform: translateY(7px) !important;
}

.select2-results__option {
    font-size: 14px;
    padding-left: 16px !important;
}

.select2-selection--single {
    padding-left: 6px !important;
}

.select2-container--default.select2-container--open.select2-container--below
    .select2-selection--single,
.select2-container--default.select2-container--open.select2-container--below
    .select2-selection--multiple {
    border-radius: 8px !important;
}

.select2-container--open .select2-dropdown--below {
    border-top: 1px solid #d4d4d8;
    border-radius: 8px !important;
}

.select2-dropdown--below {
    margin-top: 5px !important;
}

.select2-container--default
    .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #bfdbfe !important;
    color: #000 !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border-radius: 8px !important;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 26px !important;
    position: absolute !important;
    top: 1px !important;
    right: 14px !important;
    width: 10px !important;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    display: block !important;
    padding-left: 8px !important;
    padding-right: 20px !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    white-space: normal !important;
}

.select2-selection {
    overflow: hidden !important;
}

body {
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
[class^="number-slide"],
[class*=" number-slide"] {
    background: grey;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 50px;
    color: #fff;
    font-weight: 500;
    height: 300px;
    max-height: 100vh;
}

.number-slide1 {
    background: rgb(64, 175, 255);
    background: linear-gradient(
        128deg,
        rgba(64, 175, 255, 1) 0%,
        rgba(63, 97, 255, 1) 100%
    );
}

.number-slide2 {
    background: rgb(255, 75, 64);
    background: linear-gradient(
        128deg,
        rgba(255, 154, 63, 1) 0%,
        rgba(255, 75, 64, 1) 100%
    );
}

.number-slide3 {
    background: rgb(182, 255, 64);
    background: linear-gradient(
        128deg,
        rgba(182, 255, 64, 1) 0%,
        rgba(63, 255, 71, 1) 100%
    );
    background: linear-gradient(
        128deg,
        rgba(189, 255, 83, 1) 0%,
        rgba(43, 250, 82, 1) 100%
    );
}

.number-slide4 {
    background: rgb(64, 255, 242);
    background: linear-gradient(
        128deg,
        rgba(64, 255, 242, 1) 0%,
        rgba(63, 188, 255, 1) 100%
    );
}

.number-slide5 {
    background: rgb(255, 64, 156);
    background: linear-gradient(
        128deg,
        rgba(255, 64, 156, 1) 0%,
        rgba(255, 63, 63, 1) 100%
    );
}
.number-slide6 {
    background: rgb(64, 76, 255);
    background: linear-gradient(
        128deg,
        rgba(64, 76, 255, 1) 0%,
        rgba(174, 63, 255, 1) 100%
    );
}

.swal2-popup.swal2-modal.swal2-loading {
    width: auto;
}
